=== debian/control ===
Source: ros-indigo-elevator-move-base-pr2
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-jsk-maps, ros-indigo-jsk-perception, ros-indigo-message-generation, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pr2eus, ros-indigo-roscpp, ros-indigo-roseus, ros-indigo-roseus-smach, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/elevator_move_base_pr2
Standards-Version: 3.9.2

Package: ros-indigo-elevator-move-base-pr2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime
Description: elevator_move_base_pr2
